API Reference

Fetch dispute

GET/transactions/{transaction_fatzebra_id}/dispute

Query Parameters

transaction_fatzebra_idstring

The fatzebra id of the transaction.

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/transactions/001-P-154WFRUM/dispute -u TEST:TEST

Response

200Disputed
json
{
  "successful": true,
  "response": {
    "disputed": true,
    "dispute": {
      "opened_on": "2022-11-08",
      "reference": "20210929603011-5",
      "amount_cents": 420,
      "amount_currency": "AUD",
      "next_due_date": "2022-11-22",
      "status": "open",
      "reason_code": "4837",
      "reason_description": "No Cardholder Authorization",
      "dispute_events": [
        {
          "acquirer_event_code": "CB1",
          "acquirer_event_description": "1st Chargeback",
          "posting_date": "2022-11-08"
        }
      ]
    }
  },
  "errors": [],
  "test": true
}
200Not Disputed
json
{
  "successful": true,
  "response": {
    "disputed": false
  },
  "errors": [],
  "test": true
}
404Result
json
{
  "successful": false,
  "response": {},
  "errors": [
    "Could not find transaction"
  ],
  "test": true
}
422Result
json
{
  "successful": false,
  "response": {},
  "errors": ["Merchant not configured for TPP"],
  "test": true
}